/*
// Glen H. Barratt
// CS 142 SEC 002
// Lab 12
//
// 
*/

import java.io.*;
import java.util.*;

class Lab12{
 public static void main(String[] args) throws IOException{
  BufferedReader stdin = new BufferedReader	(new InputStreamReader(System.in));
  int I,Num,Selection=0,Errors=0;
	String S="Yes";
  Random R = new Random();
  
  EmployeeList EList = new EmployeeList();

	System.out.println("LAB 12  Glen H. Barratt   CS 142");
  System.out.println();

	//ImportList("employee.dat");
	//SortList();
	do{
   do{
	  System.out.println();
    System.out.println();
    System.out.println();
    System.out.println();
	  System.out.println("                         Please make a selection:");
	  System.out.println();
    System.out.println("                          1) Add an employee");
	  System.out.println("                          2) Delete an employee");
	  System.out.println("                          3) Change an employee's salary");
	  System.out.println("                          4) Update employee's benefits ");
	  System.out.println("                          5) Save employee list");
	  System.out.println("                          6) List employees ");
	  System.out.println("                          7) List employee IDs");
	  System.out.println("                          8) List employee names");
	  System.out.println("                          9) Undo changes");
	  System.out.println("                          0) Quit the program");
	  System.out.println();
	    System.out.print("                            Your selection:");
	  try{
	 	Errors=0;
     Selection=Integer.parseInt(stdin.readLine());
	  }
	  catch(NumberFormatException e){
     System.out.println("                          ERROR: Invalid Input");
	 	Errors=Errors+1;
    }
	 }while(Errors>0);
   System.out.println();
 	 System.out.println();
 	 System.out.println();


	 if(Selection==1)EList.Add();
 	 if(Selection==6)EList.ListEmployees();
 	 //if(Selection==2)EList.Remove();
 	 //if(Selection==3)ChangeSalary();
	 //if(Selection==4)ChangeBenefits();

   if(Selection==0){
	  System.out.print("Are you sure you want to exit? (Yes, No):");
	  S=stdin.readLine();
	  if((S.charAt(0)=='N')||(S.charAt(0)=='n')){
	   Selection=-100;
	  }
	 }

	}while(Selection!=0);
  System.out.println();
	ExitStuff();
 }// method main

 public static void ExitStuff(){
  System.out.println("Bye!");
  System.out.println("(c) 1999 Glen H. Barratt Productions");
 }// method ExitStuff

}// class Lab12







class EmployeeList{
  private Employee E;

 EmployeeList(){
  E=null;
 }//constructor

 public void Add()throws IOException{
  BufferedReader stdin = new BufferedReader	(new InputStreamReader(System.in));
  int InID;
	
	System.out.println("Please enter the new employee's data:");
  System.out.println();
 	System.out.print("ID#       :");
	InID=Integer.parseInt(stdin.readLine());
	
	Employee NewEmployee = new Employee(InID);
	Employee Current;
	
	if(E==null)E=NewEmployee;
	else{
	 Current=E;
	 while(Current.GetNext()!=null){
	  Current=Current.GetNext();
 	 }		
	 Current.SetNext(NewEmployee);
	}	
	
	System.out.println("CHECK 0");
  System.out.println("CHECK 1");
	System.out.println("CHECK 2");
	//Employee.Insert(Test,InID);
 }//method Add


 public void ListEmployees()throws IOException{
  BufferedReader stdin = new BufferedReader	(new InputStreamReader(System.in));
  Employee Current;
  Current= E;
	int RetID;
	while(Current!=null){
   RetID=Current.ReturnID();
   System.out.println(RetID);
   Current=Current.GetNext();
	}
	stdin.readLine();
 }

 /*public static void ImportList(String FileName)throws FileNotFoundException,IOException{
	BufferedReader File=new BufferedReader(new InputStreamReader(new FileInputStream(FileName)));
  Employees=0;
	while(File.ready()){
	 EID[Employees]=Integer.parseInt(File.readLine());
	 EName[Employees]=File.readLine();
	 ESSN[Employees]=File.readLine();
	 EDOH[Employees]=File.readLine();
	 ESal[Employees]=File.readLine();
	 EBen[Employees]=File.readLine();
	 Employees=Employees+1;
	}
	File.close();
 }//method ImportList*/

}//class EmployeeList





class Employee{

 private static int ID=0;
 public static String	Name=" ",SSN=" ",DOH=" ",Sal=" ",Ben=" ";
 private Employee Next;

 Employee(){
	Next=null;
 }//constructor

 Employee(int InID){
	ID=InID;
	Next=null;
 }//constructor Employee


 public static void Insert(Employee DestEmployee,int InID)throws IOException{
	BufferedReader stdin = new BufferedReader	(new InputStreamReader(System.in));
  	
  if(DestEmployee.GetNext()==null)DestEmployee.Next=new Employee();
	Employee Current=DestEmployee;
	if(Current==null)Current=new Employee();
  Current.Next=DestEmployee.GetNext();
  Current.ID=InID;

  System.out.print("Name      :");
	Current.Name=stdin.readLine();
  System.out.print("SSN#      :");
  Current.SSN=stdin.readLine();
  System.out.print("Date Hired:");
	Current.DOH=stdin.readLine();
  System.out.print("Salary    :");
	Current.Sal=stdin.readLine();
  System.out.print("Benefits  :");
	Current.Ben=stdin.readLine();
  System.out.println();
 }//method InsertEmployee

 public int ReturnID(){
  return ID;
 }//method ReturnID

 public Employee GetNext(){
  return Next;
 }//method GetNext

 public void SetNext(Employee NextEmployee){
  Next=NextEmployee;
 }//method SetNext

 public void Print(){
  System.out.println();
	System.out.println("ID#       :"+ID);
	System.out.println("Name      :"+Name);
	System.out.println("SSN#      :"+SSN);
	System.out.println("Date Hired:"+DOH);
	System.out.println("Salary    :"+Sal);
	System.out.println("Benefits  :"+Ben);
 }// Print
	
}//class Employee
