/*
// Glen H. Barratt
// CS 142 SEC 002
// Lab 8
//
// Football Animation
*/

import java.io.*;
import java.util.*;
import java.applet.Applet;
import java.awt.*;

public class Lab8 extends Applet {
 
 private Polygon P1,P2;
 int I,LCV,LCV2,Delay,FX,FY,FT,FXStep,FYStep;
 double YSize,YSizeO;
 long	AnimatedStep;
 char C;	
 Random R = new Random();
	
 public void paint(Graphics page) {
  Color BYUBlueC=new Color(10,0,200);
	Color C1=new Color(0,0,0);
  /*
	LCV=50;
	do{
	 C1 = new Color((int)(10*LCV/120),0,(int)(200*LCV/120));
	 page.setColor(C1);
	 PutBlockLetterY(100,50+LCV/2,(1+LCV/100.0),page);
	 LCV=LCV+1;
	 Delay=0;
	 while(Delay<1000000)Delay++;	
  }while(LCV<100);	
	*/
	
	FXStep=3;
	FYStep=-4;
	FY=75;
	LCV2=0;
	AnimatedStep=0;
	YSize=1.0;
	YSizeO=YSize;
	
	while(LCV2==0){
	 page.setColor(Color.white);
	 PutFootball(FX,FY,1,page);
	 
	 page.setColor(Color.white);
	 PutBlockLetterY(100,100,YSizeO,page);
	 	
	 
   AnimatedStep=AnimatedStep+1;
	 if(AnimatedStep%8==0)FYStep=FYStep+1;
	 if(AnimatedStep%50==0)FY=FY-1;
	 	
	 FX=FX+FXStep;	
	 FY=FY+FYStep;
	 YSizeO=YSize;
	 
	 YSize=(double)(YSize+((R.nextInt()%100)/100.0)/25.0);
	 
	 if(YSize>6)YSize=6;
	 if(YSize<0.01)YSize=0.01;
		
	 if((FX>=200)&&(FXStep>0)){
		FYStep=-8+Math.abs(R.nextInt()%7);
		FXStep=-FXStep;
	 }
	 if((FX<=0)&&(FXStep<0)){
		FYStep=-8+Math.abs(R.nextInt()%7);
		FXStep=-FXStep;
	 }
	 if((FY>=400))FYStep=-12+R.nextInt()%4;
	 if((FY<=-25))FYStep=0;
	 page.setColor(BYUBlueC);
	 PutBlockLetterY(100,100,YSize,page);
   
   C1=new Color(R.nextInt()%255,R.nextInt()%255,R.nextInt()%255);
   page.setColor(C1);
	 page.drawString("GO BYU!",76,240);	
   page.setColor(Color.black);
	 page.drawString("Glen H. Barratt  Lab 8  CS 142",20,300);	
	  
	 C1=new Color(125,100,5);
	 page.setColor(C1);
	 PutFootball(FX,FY,1,page);
	 C1=new Color(137,110,7);
	 page.setColor(C1);
	 PutFootball(FX-1,FY-1,0.85,page);
	 C1=new Color(150,120,10);
	 page.setColor(C1);
	 PutFootball(FX-3,FY-3,0.65,page);

	 C1=new Color(255,255,200);
   page.setColor(C1);
	 PutFootballDetails(FX-3,FY-3,1,(int)(2*((AnimatedStep%41)-20)),page);
		
	 Delay=0;
	 while(Delay<750000)Delay++;	
	}	
		
 }	
	
 public void PutBlockLetterY(int InX,int InY,double InSize,Graphics page){
  P1 = new Polygon();
 	InX=(int)(InX-35*InSize);
	InY=(int)(InY-40*InSize);	
	P1.addPoint((int)(InX+1*InSize-1),(int)(InY+1*InSize-1));
  P1.addPoint((int)(InX+31*InSize-1),(int)(InY+1*InSize-1));
	P1.addPoint((int)(InX+31*InSize-1),(int)(InY+16*InSize-1));
  P1.addPoint((int)(InX+26*InSize-1),(int)(InY+16*InSize-1));
	P1.addPoint((int)(InX+36*InSize-1),(int)(InY+31*InSize-1));
  P1.addPoint((int)(InX+46*InSize-1),(int)(InY+16*InSize-1));
	P1.addPoint((int)(InX+41*InSize-1),(int)(InY+16*InSize-1));
	P1.addPoint((int)(InX+41*InSize-1),(int)(InY+1*InSize-1));
	P1.addPoint((int)(InX+71*InSize-1),(int)(InY+1*InSize-1));
	P1.addPoint((int)(InX+71*InSize-1),(int)(InY+16*InSize-1));
	P1.addPoint((int)(InX+63*InSize-1),(int)(InY+16*InSize-1));
	P1.addPoint((int)(InX+45*InSize-1),(int)(InY+44*InSize-1));
	P1.addPoint((int)(InX+45*InSize-1),(int)(InY+61*InSize-1));
	P1.addPoint((int)(InX+50*InSize-1),(int)(InY+61*InSize-1));
	P1.addPoint((int)(InX+50*InSize-1),(int)(InY+76*InSize-1));
	P1.addPoint((int)(InX+22*InSize-1),(int)(InY+76*InSize-1));
	P1.addPoint((int)(InX+22*InSize-1),(int)(InY+61*InSize-1));
	P1.addPoint((int)(InX+27*InSize-1),(int)(InY+61*InSize-1));
	P1.addPoint((int)(InX+27*InSize-1),(int)(InY+44*InSize-1));
	P1.addPoint((int)(InX+9*InSize-1),(int)(InY+16*InSize-1));
	P1.addPoint((int)(InX+1*InSize-1),(int)(InY+16*InSize-1));
	page.fillPolygon(P1);
 } // method paint
 
 public void PutFootball(int InX,int InY,double InSize,Graphics page){
  P2 = new Polygon();
 	InX=(int)(InX-35*InSize);
	InY=(int)(InY-22*InSize);	
	P2.addPoint((int)(InX+1*InSize-1),(int)(InY+22*InSize-1));
	P2.addPoint((int)(InX+6*InSize-1),(int)(InY+15*InSize-1));
	P2.addPoint((int)(InX+11*InSize-1),(int)(InY+10*InSize-1));
	P2.addPoint((int)(InX+16*InSize-1),(int)(InY+6*InSize-1));
	P2.addPoint((int)(InX+21*InSize-1),(int)(InY+3.5*InSize-1));
	P2.addPoint((int)(InX+26*InSize-1),(int)(InY+2*InSize-1));
	P2.addPoint((int)(InX+31*InSize-1),(int)(InY+1*InSize-1));
	
	P2.addPoint((int)(InX+41*InSize-1),(int)(InY+1*InSize-1));
	P2.addPoint((int)(InX+46*InSize-1),(int)(InY+2*InSize-1));
	P2.addPoint((int)(InX+51*InSize-1),(int)(InY+3.5*InSize-1));
	P2.addPoint((int)(InX+56*InSize-1),(int)(InY+6*InSize-1));
	P2.addPoint((int)(InX+61*InSize-1),(int)(InY+10*InSize-1));
	P2.addPoint((int)(InX+66*InSize-1),(int)(InY+15*InSize-1));
	P2.addPoint((int)(InX+71*InSize-1),(int)(InY+22*InSize-1));
	
	P2.addPoint((int)(InX+71*InSize-1),(int)(InY+24*InSize-1));
	P2.addPoint((int)(InX+66*InSize-1),(int)(InY+31*InSize-1));
	P2.addPoint((int)(InX+61*InSize-1),(int)(InY+36*InSize-1));
	P2.addPoint((int)(InX+56*InSize-1),(int)(InY+40*InSize-1));
	P2.addPoint((int)(InX+51*InSize-1),(int)(InY+42.5*InSize-1));
	P2.addPoint((int)(InX+46*InSize-1),(int)(InY+44*InSize-1));
	P2.addPoint((int)(InX+41*InSize-1),(int)(InY+45*InSize-1));
	
	P2.addPoint((int)(InX+31*InSize-1),(int)(InY+45*InSize-1));
	P2.addPoint((int)(InX+26*InSize-1),(int)(InY+44*InSize-1));
	P2.addPoint((int)(InX+21*InSize-1),(int)(InY+42.5*InSize-1));
	P2.addPoint((int)(InX+16*InSize-1),(int)(InY+40*InSize-1));
	P2.addPoint((int)(InX+11*InSize-1),(int)(InY+36*InSize-1));
	P2.addPoint((int)(InX+6*InSize-1),(int)(InY+31*InSize-1));
	P2.addPoint((int)(InX+1*InSize-1),(int)(InY+24*InSize-1));
	
	page.fillPolygon(P2);
 }	
 
public void PutFootballDetails(int InX,int InY,double InSize,int InOpt,Graphics page){
 	InX=(int)(InX-35*InSize);
	InY=(int)(InY-22*InSize);	
	P2 = new Polygon();
	P2.addPoint((int)(InX+15*InSize-1),(int)(InY+12*InSize-1));
	P2.addPoint((int)(InX+17*InSize-1),(int)(InY+13*InSize-1));
	P2.addPoint((int)(InX+17*InSize-1),(int)(InY+40*InSize-1));
	P2.addPoint((int)(InX+15*InSize-1),(int)(InY+39*InSize-1));
	page.fillPolygon(P2);

  P2 = new Polygon();
  P2.addPoint((int)(InX+60*InSize-1),(int)(InY+13*InSize-1));
	P2.addPoint((int)(InX+62*InSize-1),(int)(InY+12*InSize-1));
	P2.addPoint((int)(InX+62*InSize-1),(int)(InY+39*InSize-1));
	P2.addPoint((int)(InX+60*InSize-1),(int)(InY+40*InSize-1));
	page.fillPolygon(P2);
	
	P2 = new Polygon();
	InY=(int)(InY+InOpt/InSize);
	if((InOpt>-15)&&(InOpt<20)){
   P2.addPoint((int)(InX+26*InSize-1),(int)(InY+24*InSize-1));
	 P2.addPoint((int)(InX+29*InSize-1),(int)(InY+24*InSize-1));
	 P2.addPoint((int)(InX+29*InSize-1),(int)(InY+22*InSize-1));
	 P2.addPoint((int)(InX+31*InSize-1),(int)(InY+22*InSize-1));
	 P2.addPoint((int)(InX+31*InSize-1),(int)(InY+24*InSize-1));
	 P2.addPoint((int)(InX+34*InSize-1),(int)(InY+24*InSize-1));
	 P2.addPoint((int)(InX+34*InSize-1),(int)(InY+22*InSize-1));
	 P2.addPoint((int)(InX+36*InSize-1),(int)(InY+22*InSize-1));
	 P2.addPoint((int)(InX+36*InSize-1),(int)(InY+24*InSize-1));
	 P2.addPoint((int)(InX+39*InSize-1),(int)(InY+24*InSize-1));
	 P2.addPoint((int)(InX+39*InSize-1),(int)(InY+22*InSize-1));
	 P2.addPoint((int)(InX+41*InSize-1),(int)(InY+22*InSize-1));
	 P2.addPoint((int)(InX+41*InSize-1),(int)(InY+24*InSize-1));
	 P2.addPoint((int)(InX+44*InSize-1),(int)(InY+24*InSize-1));
	 P2.addPoint((int)(InX+44*InSize-1),(int)(InY+22*InSize-1));
	 P2.addPoint((int)(InX+46*InSize-1),(int)(InY+22*InSize-1));
	 P2.addPoint((int)(InX+46*InSize-1),(int)(InY+24*InSize-1));
	 P2.addPoint((int)(InX+49*InSize-1),(int)(InY+24*InSize-1));
 	
 	 P2.addPoint((int)(InX+49*InSize-1),(int)(InY+26*InSize-1));
 	 P2.addPoint((int)(InX+46*InSize-1),(int)(InY+26*InSize-1));
 	 P2.addPoint((int)(InX+46*InSize-1),(int)(InY+28*InSize-1));
	 P2.addPoint((int)(InX+44*InSize-1),(int)(InY+28*InSize-1));
	 P2.addPoint((int)(InX+44*InSize-1),(int)(InY+26*InSize-1));
	 P2.addPoint((int)(InX+41*InSize-1),(int)(InY+26*InSize-1));
	 P2.addPoint((int)(InX+41*InSize-1),(int)(InY+28*InSize-1));
	 P2.addPoint((int)(InX+39*InSize-1),(int)(InY+28*InSize-1));
	 P2.addPoint((int)(InX+39*InSize-1),(int)(InY+26*InSize-1));
	 P2.addPoint((int)(InX+36*InSize-1),(int)(InY+26*InSize-1));
	 P2.addPoint((int)(InX+36*InSize-1),(int)(InY+28*InSize-1));
	 P2.addPoint((int)(InX+34*InSize-1),(int)(InY+28*InSize-1));
	 P2.addPoint((int)(InX+34*InSize-1),(int)(InY+26*InSize-1));
	 P2.addPoint((int)(InX+31*InSize-1),(int)(InY+26*InSize-1));
	 P2.addPoint((int)(InX+31*InSize-1),(int)(InY+28*InSize-1));
	 P2.addPoint((int)(InX+29*InSize-1),(int)(InY+28*InSize-1));
	 P2.addPoint((int)(InX+29*InSize-1),(int)(InY+26*InSize-1));
	 P2.addPoint((int)(InX+26*InSize-1),(int)(InY+26*InSize-1));
	}	
	page.fillPolygon(P2);
  InY=InY-InOpt;
 }	
 	
 	
} // class Lab 8



