/*
// Glen H. Barratt
// CS 142 SEC 002
// Lab 7
//
// Magic Squares
*/

import java.io.*;
import java.util.*;

class Lab7{
 public static int I;
 public static void main(String[] args) throws IOException{
	BufferedReader stdin = new BufferedReader	(new InputStreamReader(System.in));
  System.out.println("LAB 7   Glen H. Barratt   CS 142");
  System.out.println();
  System.out.print("How big is this \"Magic Square\"? ");
  I=Integer.parseInt(stdin.readLine());
  MagicSquare MS1 = new MagicSquare();
  MS1.ConstructMagicSquare(I);
  MS1.PrintMagicSquare();
  stdin.readLine();
  MS1.PrintSums();
  stdin.readLine();
  ExitStuff();
 }// method main
 public static void ExitStuff(){
  System.out.println("Bye!");
  System.out.println("(c) 1999 Glen H. Barratt Productions");
 }// method ExitStuff
}// class Lab6

class MagicSquare{
 private static int[][] SquareArray = new int[100][100];
 private static int[] HSum = new int[100];
 private static int[] VSum = new int[100];
 public static int Magic=0,D1Sum,D2Sum;
 public static int Size,XI,YI;

 public static void MagicSquare(int In){
  ConstructMagicSquare(In);
 }//method MagicSquare //CONSTRUCTOR

 public static void ConstructMagicSquare(int In){
  int I,I2,I3;
  Size=In;
  I2=Size/2-1;
  XI=I2;
  YI=Size-2;
  for(I=0;I<Size*Size;I++){
   XI=XI+1;
   YI=YI+1;
   if(XI>=Size)XI=0;
   if(YI>=Size)YI=0;
   while(SquareArray[XI][YI]!=0)RepositionNumber();
   SquareArray[XI][YI]=I+1;
  }
 }// method

 private static void RepositionNumber(){
  if(SquareArray[XI][YI]!=0){
   if((XI==0)&&(YI==0)){
    XI=Size-1;
    YI=Size-2;
   }
   else if((YI-2>=0)&&(XI-1>=0)){
    YI=YI-2;
    XI=XI-1;
   }
   else if(YI-2<0)YI=Size-1;
   else if(XI-1<0)XI=Size-1;
  }
 }

 public static int VerifyMagicSquare(){
  int Sum, Sum2;
  Sum2=0;
  Magic=0;
  for(XI=0;XI<Size;XI++)Sum2=Sum2+SquareArray[0][YI];
  for(YI=0;YI<Size;YI++){
   Sum=0;
   for(XI=0;XI<Size;XI++)Sum=Sum+SquareArray[XI][YI];
   HSum[YI]=Sum;
   if(HSum[YI]!=HSum[0])Magic=Magic+1;
  }
  Sum2=0;
  for(YI=0;YI<Size;YI++)Sum2=Sum2+SquareArray[XI][0];
  for(XI=0;XI<Size;XI++){
   Sum=0;
   for(YI=0;YI<Size;YI++)Sum=Sum+SquareArray[XI][YI];
   VSum[XI]=Sum;
   if(VSum[XI]!=VSum[0])Magic=Magic+1;
  }
  D1Sum=0;
  for(XI=0;XI<Size;XI++)D1Sum=D1Sum+SquareArray[XI][XI];
  D2Sum=0;
  for(XI=0;XI<Size;XI++)D2Sum=D2Sum+SquareArray[Size-XI-1][XI];
  if(D1Sum!=HSum[0])Magic=Magic+1;
  if(D2Sum!=HSum[0])Magic=Magic+1;
  if(VSum[0]!=HSum[0])Magic=Magic+1;


  if(Magic!=0)return 0;
  else return 1;
 }// method VerifyMagicSquare

 public static void PrintMagicSquare(){
  int XI,YI;
  System.out.println();
  for(YI=0;YI<Size;YI++)
  for(XI=0;XI<Size;XI++){
   if(SquareArray[XI][YI]>99)System.out.print(" "+SquareArray[XI][YI]);
   else if(SquareArray[XI][YI]>9)System.out.print("  "+SquareArray[XI][YI]);
   else System.out.print("   "+SquareArray[XI][YI]);
   if(XI+1==Size){
    System.out.println();
    System.out.println();
   }
  }
 }// method PrintMagicSquare

 public static void PrintSums(){
  int I;
  Magic=0;
  System.out.println();
  VerifyMagicSquare();
  if(Magic==0)System.out.println("It is MAGIC!");
  else System.out.println("This one is a dud! "+Magic);
  for(I=0;I<Size;I++){
   System.out.println("The sum of row "+(I+1)+" is:      "+HSum[I]);
   System.out.println("The sum of column "+(I+1)+" is:   "+VSum[I]);
  }
   System.out.println("The sum of diagonal 1 is: "+D1Sum);
   System.out.println("The sum of diagonal 2 is: "+D2Sum);
 }// method PrintSums
}// class MagicSquare




