/*
// Glen H. Barratt
// CS 142 SEC 001
// Lab 9
//
// Shapes ?
*/

import java.io.*;
import java.util.*;
import java.applet.Applet;
import java.awt.*;

public class Lab9 extends Applet {
 
 private Polygon P1,P2;
 int I,LCV,LCV2,Delay,FX,FY,FT,FXStep,FYStep;
 double YSize,YSizeO;
 long	AnimatedStep;
 char C;	
 Random R = new Random();
 Color C1=new Color(0,0,0);
 final int MaxShapes=25;	
 final int MaxScreenX=300;
 final int MaxScreenY=300;
 int[][] ColorRGB = new int[MaxShapes][3];
 int[][] ShapeA=new int[MaxShapes][10];
 Color[] ShapeC=new Color[MaxShapes];
 //ShapeClass[] ShapeO=new ShapeClass[MaxShapes];
 /*
	6 attributes in all:
	0-Type;
	Type:
	 0-Nothing;
	 1-Square
	 2-Rectangle
	 3-Circle
	 4-Triangle
	1-Scale
	2-Shape Size 1 (X)
	3-Shape Size 2 (Y)
	4-Position X
	5-Position Y
	6-Position XO
	7-Position YO
	8-X Step
	9-Y Step
 */
	
 public void init(){
	resize(MaxScreenX,MaxScreenY);
	for(I=0;I<MaxShapes;I++){
	 ShapeA[I][0]=(I%5);
	 ShapeA[I][1]=(R.nextInt()%5)+5;
	 ShapeA[I][2]=(R.nextInt()%5);
	 ShapeA[I][3]=(R.nextInt()%5);	
	
   //ShapeA[I][1]=6;
	 //ShapeA[I][2]=3;
	 //ShapeA[I][3]=3;	
	
   ShapeA[I][4]=(MaxScreenX/2);
	 ShapeA[I][5]=(MaxScreenY/2);
	 ShapeA[I][6]=ShapeA[I][4];
	 ShapeA[I][7]=ShapeA[I][5];
	 ShapeA[I][8]=(R.nextInt()%5);
	 ShapeA[I][9]=(R.nextInt()%5);
   //ShapeO[I]=ShapeClass();
   ColorRGB[I][0]=(R.nextInt()%256);
   ColorRGB[I][1]=(R.nextInt()%256);
   ColorRGB[I][2]=(R.nextInt()%256);
  }
	//ShapeA[0][8]=-2;
	//ShapeA[0][9]=-3;
 
	//ShapeA[1][8]=3;
	//ShapeA[1][9]=-2;
  
	//ShapeA[2][8]=-2;
	//ShapeA[2][9]=3;
  
	//ShapeA[3][8]=-3;
	//ShapeA[3][9]=2;
} 
	
 public void paint(Graphics page){
	while(LCV2==0){
	 AnimatedStep=AnimatedStep+1;
		
	 for(LCV=0;LCV<MaxShapes;LCV++)ShapeA[LCV][6]=ShapeA[LCV][4];	
	 for(LCV=0;LCV<MaxShapes;LCV++)ShapeA[LCV][7]=ShapeA[LCV][5];	
	 
	 for(LCV=0;LCV<MaxShapes;LCV++)ShapeA[LCV][4]+=ShapeA[LCV][8];	
	 for(LCV=0;LCV<MaxShapes;LCV++)ShapeA[LCV][5]+=ShapeA[LCV][9];	
	 
	 for(LCV=0;LCV<MaxShapes;LCV++){	
	  if((ShapeA[LCV][4]>=MaxScreenX)&&(ShapeA[LCV][8]>0))ShapeA[LCV][8]=-ShapeA[LCV][8];
    if((ShapeA[LCV][4]<=0)&&(ShapeA[LCV][8]<0))ShapeA[LCV][8]=-ShapeA[LCV][8];
	  if((ShapeA[LCV][5]>=MaxScreenY)&&(ShapeA[LCV][9]>0))ShapeA[LCV][9]=-ShapeA[LCV][9];
    if((ShapeA[LCV][5]<=0)&&(ShapeA[LCV][9]<0))ShapeA[LCV][9]=-ShapeA[LCV][9];
	 }
	
	 
	 //Display the shapes
	 for(LCV=0;LCV<MaxShapes;LCV++){	
    ShapeA[LCV][1]=ShapeA[LCV][1]+(R.nextInt()%2);
		if((ShapeA[LCV][1])>1) ShapeA[LCV][1]=1;

    ShapeA[LCV][2]=ShapeA[LCV][2]+(R.nextInt()%2);
		if((ShapeA[LCV][2])>1) ShapeA[LCV][2]=1;
		
		ShapeA[LCV][3]=ShapeA[LCV][3]+(R.nextInt()%2);
		if((ShapeA[LCV][3])>1) ShapeA[LCV][3]=1;
		
		ColorRGB[LCV][0]=ColorRGB[LCV][0]+(R.nextInt()%20);
		ColorRGB[LCV][1]=ColorRGB[LCV][1]+(R.nextInt()%20);
		ColorRGB[LCV][2]=ColorRGB[LCV][2]+(R.nextInt()%20);
		if(ColorRGB[LCV][0]<0)ColorRGB[LCV][0]=0;
		if(ColorRGB[LCV][1]<0)ColorRGB[LCV][1]=0;
		if(ColorRGB[LCV][2]<0)ColorRGB[LCV][2]=0;
		if(ColorRGB[LCV][0]>255)ColorRGB[LCV][0]=255;
		if(ColorRGB[LCV][1]>255)ColorRGB[LCV][1]=255;
		if(ColorRGB[LCV][2]>255)ColorRGB[LCV][2]=255;
		
		//Green=page.getG(ShapeC[LCV]);
		//Blue=page.getB(ShapeC[LCV]);
		
		
		ShapeC[LCV]=new Color(ColorRGB[LCV][0],ColorRGB[LCV][1],ColorRGB[LCV][2]);
	  page.setColor(ShapeC[0]);
		
		ShapeClass.PutSquare(ShapeA[LCV][4],ShapeA[LCV][5],ShapeA[LCV][2],ShapeA[LCV][3],ShapeA[LCV][1],Color.black,page);
	 }	
  	
	 Delay=0;
	 while(Delay<50000)Delay++;	
	}	
 }	
} // class Lab 9

class ShapeClass{
 private static Polygon P1;

 public static void PutSquare(int InX,int InY,int XDim,int YDim,int InSize,Color InC,Graphics page){
  P1 = new Polygon();
 	InX=(int)(InX-(XDim/2.0)*(InSize/100.0));
	InY=(int)(InY-(YDim/2.0)*(InSize/100.0));	
	P1.addPoint((int)(InX+1*InSize-1),(int)(InY+1*InSize-1));
  P1.addPoint((int)(InX+(XDim+1)*InSize-1),(int)(InY+1*InSize-1));
	P1.addPoint((int)(InX+(XDim+1)*InSize-1),(int)(InY+(YDim+1)*InSize-1));
  P1.addPoint((int)(InX+1*InSize-1),(int)(InY+(YDim+1)*InSize-1));
 	page.fillPolygon(P1);
 }
}

